@keyframes loading {
  0%, 80%, 100% {
    transform: scale(0);
  }
  40% {
    transform: scale(1);
  }
}

body {
  overflow-x: hidden;
}

div#app {
  min-height: 100vh;
}

.service-loading-wrapper {
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;

  > .spinner-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    > span {
      display: inline-block;
      width: 50px;
      height: 50px;
      background: #432DF3;
      border-radius: 100%;

      animation-name: loading;
      animation-duration: 1.2s;
      animation-iteration-count: infinite;
      animation-timing-function: ease-in-out;

      &:nth-child(1) {
        animation-delay: -320ms
      }

      &:nth-child(2) {
        animation-delay: -160ms;
      }
    }
  }
}
